package com.loh.model;

import java.io.Serializable;
import java.util.Date;

public class Contract implements Serializable {
    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.id
     *
     * @mbg.generated
     */
    private Integer id;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.landlord_id
     *
     * @mbg.generated
     */
    private Integer landlordId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.renter_id
     *
     * @mbg.generated
     */
    private Integer renterId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.type
     *
     * @mbg.generated
     */
    private Integer type;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.image
     *
     * @mbg.generated
     */
    private String image;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.start_time
     *
     * @mbg.generated
     */
    private Date startTime;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.end_time
     *
     * @mbg.generated
     */
    private Date endTime;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.house_id
     *
     * @mbg.generated
     */
    private Integer houseId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column contract.file
     *
     * @mbg.generated
     */
    private String file;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table contract
     *
     * @mbg.generated
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.id
     *
     * @return the value of contract.id
     *
     * @mbg.generated
     */
    public Integer getId() {
        return id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.id
     *
     * @param id the value for contract.id
     *
     * @mbg.generated
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.landlord_id
     *
     * @return the value of contract.landlord_id
     *
     * @mbg.generated
     */
    public Integer getLandlordId() {
        return landlordId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.landlord_id
     *
     * @param landlordId the value for contract.landlord_id
     *
     * @mbg.generated
     */
    public void setLandlordId(Integer landlordId) {
        this.landlordId = landlordId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.renter_id
     *
     * @return the value of contract.renter_id
     *
     * @mbg.generated
     */
    public Integer getRenterId() {
        return renterId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.renter_id
     *
     * @param renterId the value for contract.renter_id
     *
     * @mbg.generated
     */
    public void setRenterId(Integer renterId) {
        this.renterId = renterId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.type
     *
     * @return the value of contract.type
     *
     * @mbg.generated
     */
    public Integer getType() {
        return type;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.type
     *
     * @param type the value for contract.type
     *
     * @mbg.generated
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.image
     *
     * @return the value of contract.image
     *
     * @mbg.generated
     */
    public String getImage() {
        return image;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.image
     *
     * @param image the value for contract.image
     *
     * @mbg.generated
     */
    public void setImage(String image) {
        this.image = image == null ? null : image.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.start_time
     *
     * @return the value of contract.start_time
     *
     * @mbg.generated
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.start_time
     *
     * @param startTime the value for contract.start_time
     *
     * @mbg.generated
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.end_time
     *
     * @return the value of contract.end_time
     *
     * @mbg.generated
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.end_time
     *
     * @param endTime the value for contract.end_time
     *
     * @mbg.generated
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.house_id
     *
     * @return the value of contract.house_id
     *
     * @mbg.generated
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.house_id
     *
     * @param houseId the value for contract.house_id
     *
     * @mbg.generated
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column contract.file
     *
     * @return the value of contract.file
     *
     * @mbg.generated
     */
    public String getFile() {
        return file;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column contract.file
     *
     * @param file the value for contract.file
     *
     * @mbg.generated
     */
    public void setFile(String file) {
        this.file = file == null ? null : file.trim();
    }
}